#!/bin/bash
# harvests upload from one build to another
# usage: harvest_upload <source checkout of _build_work> <dest checkout>

set -x

function Upload()
{
    builddir=$1/builds/b_$(cat $1/builds/.versionfile.proto) || exit 1
    echo ${builddir}/B$(cat ${builddir}/.rc.base)/Upload || exit 1
}

source=$(Upload "$1") || exit 1
dest=$(Upload "$2") || exit 1

cp -nr ${source}/* ${dest}/
