#!/bin/bash

# update sources
if test -d ../.svn; then
    svn update ../
else
    for f in ../*; do
        test -d $f/.bzr && bzr pull -d $f
        test -d $f/.svn && svn update $f
    done
fi

# bootstrap
pushd ../armagetronad
./bootstrap.sh
popd

# cleanup
make sourcechange || true
find tarballs -name ChangeLog -exec rm \{\} \;
find ../armagetronad -name ChangeLog -exec rm \{\} \;
