#!/bin/bash
#set -x
target=$(echo $1 | sed -e s,/*$,,)
test -z "$target" && exit
test "." == "$target" && exit
source=$(bzr info $target | grep "parent branch:" | sed -e s,".*parent branch: *",,)
echo $target $source
mv $target ${target}_old
if bzr branch $source $target; then
  pushd $target > /dev/null 2>&1 
  bzr pull ../$(basename $target)_old
  popd > /dev/null 2>&1 
else
  mv ${target}_old $target 
fi